package springdeveloper;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.SQLException;
import java.sql.Statement;

/**
 * @author trisberg
 */
public class CreateDB {

    public void doIt() {
        Connection con = null;
        try {
            Class.forName("org.hsqldb.jdbcDriver");
            con = DriverManager.getConnection("jdbc:hsqldb:./db/TEST", "sa", "");
            Statement stmt = con.createStatement();
            stmt.execute("   create table Client (\n" +
                    "        id bigint not null,\n" +
                    "        description varchar(255),\n" +
                    "        version integer not null,\n" +
                    "        managerid bigint,\n" +
                    "        primary key (id)\n" +
                    "    );\n");
             stmt.execute("  create table Manager (\n" +
                    "        id bigint not null,\n" +
                    "        DESCR varchar(255),\n" +
                    "        primary key (id)\n" +
                    "    );\n");
             stmt.execute("  alter table Client \n" +
                    "        add constraint FK_Manager \n" +
                    "        foreign key (managerid) \n" +
                    "        references Manager (id);");
            stmt.execute("insert into manager (id, descr) values(1, 'MyTest')");
            stmt.execute("insert into client (id, description, version, managerid) values(8, 'Client1', 1, 1)");
            stmt.execute("insert into client (id, description, version, managerid) values(9, 'Client2', 4, 1)");
        } catch (ClassNotFoundException e) {
            e.printStackTrace();
        } catch (SQLException e) {
            e.printStackTrace();
        } finally {
            try {
                con.close();
            } catch (SQLException e) {
                e.printStackTrace();
            }
        }

    }
    /*
        propertiesMap.put("toplink.jdbc.driver", "org.hsqldb.jdbcDriver");
        propertiesMap.put("toplink.jdbc.url", "jdbc:hsqldb:./db/TEST");
        propertiesMap.put("toplink.jdbc.user", "sa");
        propertiesMap.put("toplink.jdbc.password", "");
    */
}
